# ipmi_boot – Management of order of boot devices

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Use this module to manage order of boot devices

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6
- pyghmi

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

bootdev
- / required

Choices:
- network -- Request network boot
- floppy -- Boot from floppy
- hd -- Boot from hard drive
- safe -- Boot from hard drive, requesting 'safe mode'
- optical -- boot from CD/DVD/BD drive
- setup -- Boot into setup utility
- default -- remove any IPMI directed boot device request

Set boot device to use on next reboot

name - / required |  | Hostname or ip address of the BMC.
password - / required |  | Password to connect to the BMC.

persistent
boolean

Choices:
- no ←
- yes

If set, ask that system firmware uses this device beyond next boot. Be aware many systems do not honor this.

port - | Default: 623 | Remote RMCP port.

state
-

Choices:
- present -- Request system turn on
- absent -- Request system turn on

Default:
"present"

Whether to ensure that boot devices is desired.

uefiboot
boolean

Choices:
- no ←
- yes

If set, request UEFI boot explicitly. Strictly speaking, the spec suggests that if not set, the system should BIOS boot and offers no "don't care" option. In practice, this flag not being set does not preclude UEFI boot on any system I've encountered.

user - / required |  | Username to use to connect to the BMC.

## Examples

    # Ensure bootdevice is HD.
    - ipmi_boot:
        name: test.testdomain.com
        user: admin
        password: password
        bootdev: hd

    # Ensure bootdevice is not Network
    - ipmi_boot:
        name: test.testdomain.com
        user: admin
        password: password
        bootdev: network
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
bootdev string | success | The boot device name which will be used beyond next boot. Sample: default
persistent boolean | success | If True, system firmware will use this device beyond next boot.
uefimode boolean | success | If True, system firmware will use UEFI boot explicitly beyond next boot.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Bulat Gaifullin (@bgaifullin) <gaifullinbf@gmail.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.